Extending Qt Creator Manual | ICustomWizardMetaFactory

Extending Qt Creator Manual 4.5.2

# ICustomWizardMetaFactory Class

(ProjectExplorer::ICustomWizardMetaFactory)

- List of all members, including inherited members

## Public Functions

| ICustomWizardMetaFactory(const QString &klass, Core::IWizardFactory::WizardKind kind)
virtual CustomWizard * | create() const = 0
int | kind() const
QString | klass() const

## Member Function Documentation

### ICustomWizardMetaFactory::ICustomWizardMetaFactory(const QString &klass, Core::IWizardFactory::WizardKind kind)

Default constructs an instance of ICustomWizardMetaFactory.

### `[pure virtual]` CustomWizard *ICustomWizardMetaFactory::create() const

### int ICustomWizardMetaFactory::kind() const

### QString ICustomWizardMetaFactory::klass() const